# rpmbuild parameters:
# --without check: Do not run the testsuite.  Default is to run it.

# host != target would cause REMOTE_ONLY build even if building i386 on x86_64.
%global _host %{_target_platform}

# (tmb) FIXME linking
%define _disable_ld_no_undefined 1

%define major 8
%define libname %mklibname unwind %{major}
%define devname %mklibname unwind -d

%define majorcoredump 0
%define libcoredump %mklibname unwind-coredump %{majorcoredump}

Summary: An unwinding library
Name: libunwind
Version: 1.2.1
Release: %mkrel 1
License: BSD
Group: Development/Tools
Source: http://download.savannah.gnu.org/releases/libunwind/libunwind-%{version}.tar.xz
URL: http://savannah.nongnu.org/projects/libunwind

BuildRequires: automake
BuildRequires: libtool
BuildRequires: autoconf

%description
Libunwind provides a C ABI to determine the call-chain of a program.

%package -n %{libname}
Summary: An unwinding library
Group: System/Libraries

%description -n %{libname}
Libunwind provides a C ABI to determine the call-chain of a program.

%package -n %{devname}
Summary: Development package for libunwind
Group: Development/Libraries
Requires: %{libname} = %{version}-%{release}
Provides: unwind-devel
Provides: %{name}-devel = %{version}-%{release}

%description -n %{devname}
The libunwind-devel package includes the libraries and header files for
libunwind.

%prep
%setup -q
%apply_patches

%build
autoreconf -fiv
%configure2_5x --disable-static --enable-shared --enable-setjmp=no
%make

%install
rm -rf %buildroot
%make_install

find %{buildroot} -name "*.la" -delete

rm -f %{buildroot}/%{_libdir}/libunwind-generic.a


%files -n %{libname}
%doc COPYING README NEWS
%{_libdir}/libunwind-*.so.%{major}
%{_libdir}/libunwind-*.so.%{major}.*
%{_libdir}/libunwind.so.%{major}
%{_libdir}/libunwind.so.%{major}.*
%{_libdir}/libunwind-coredump.so.%{majorcoredump}
%{_libdir}/libunwind-coredump.so.%{majorcoredump}.*
%{_libdir}/libunwind-ptrace*.so*

%files -n %{devname}
%{_libdir}/libunwind*.so
%{_libdir}/libunwind-ptrace.so
%{_mandir}/*/*
%{_libdir}/pkgconfig/libunwind*.pc
%{_includedir}/unwind.h
%{_includedir}/libunwind*.h


%changelog
* Tue Sep 26 2017 bb2 <bb2> - 1.2.1-1pclos2017
- new version

* Thu Apr 27 2017 bb2 <bb2> - 1.1-4pclos2017
- rebuild
